SDHLibrary-CPP 0.0.2.10 C++ access library for SCHUNK Dextrous Hand SDH

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes | Protected Attributes

# SDH::cSimpleStringList Class Reference

A simple string list. (Fixed maximum number of strings of fixed maximum length) More...

`#include <simplestringlist.h>`

List of all members.

## Public Types
enum | { eMAX_LINES = 256, eMAX_CHARS = 256 }
| anonymous enum instead of define macros More...
## Public Member Functions
| cSimpleStringList ()
| Default constructor: init members.
char * | CurrentLine ()
| Return the current line.
char * | NextLine ()
| Return the next line, this increases current_line.
int | Length () const
| Return number of lines stored.
char * | operator[] (int index)
| return ptr to line with index.
char const * | operator[] (int index) const
| return ptr to line with index.
void | Reset ()
| reset list
## Public Attributes
int | current_line
| the index of the current line. For empty cSimpleStringLists this is -1.
## Protected Attributes
char | line [eMAX_LINES][eMAX_CHARS]
| a fixed length array of lines with fixed length

## Detailed Description

A simple string list. (Fixed maximum number of strings of fixed maximum length)

## Member Enumeration Documentation

anonymous enum

anonymous enum instead of define macros

Enumerator:

  eMAX_LINES |
  eMAX_CHARS |

## Constructor & Destructor Documentation

cSimpleStringList::cSimpleStringList | ( |  | ) |

Default constructor: init members.

## Member Function Documentation

char * cSimpleStringList::CurrentLine | ( |  | ) |

Return the current line.

int cSimpleStringList::Length | ( |  | ) | const

Return number of lines stored.

char * cSimpleStringList::NextLine | ( |  | ) |

Return the next line, this increases current_line.

char * cSimpleStringList::operator[] | ( | int | index | ) |

return ptr to line with index.

if index < 0 then the numbering starts from the end, thus [-1] gives the last line, [-2] the next to last, ...

char const * cSimpleStringList::operator[] | ( | int | index | ) | const

return ptr to line with index.

if index < 0 then the numbering starts from the end, thus [-1] gives the last line, [-2] the next to last, ...

void cSimpleStringList::Reset | ( |  | ) |

reset list

## Member Data Documentation

int SDH::cSimpleStringList::current_line

the index of the current line. For empty cSimpleStringLists this is -1.

char SDH::cSimpleStringList::line[eMAX_LINES][eMAX_CHARS]`[protected]`

a fixed length array of lines with fixed length

The documentation for this class was generated from the following files:

- sdh/simplestringlist.h
- sdh/simplestringlist.cpp